# $Revision: 1.299 $, $Date: 2012/06/02 10:57:39 $
# TODO
# - subpackage more plugins (at least all built on bconds, better all having external dependencies)
# - use fonts-TTF-freefont as R (vlc-X11 package) (see also vlc-defaultfont.patch)
#   ./modules/misc/freetype.c:#define DEFAULT_FONT "/usr/share/vlc/skins2/fonts/FreeSans.ttf"
#   ./modules/gui/skins2/parser/builder.cpp:            string path = (*it) + sep + "fonts" + sep + "FreeSans.ttf";
# - %{_prefix}/lib cleanup for x86_64
# - configs to /etc (../http/.hosts)
# - qvlc should be in qt4 or such package not generic X11
# - /usr/share/vlc/utils scripts insecure (use /tmp hardcoded paths)
# - --enable-opencv (BR: opencv-devel)
# - --enable-sftp (BR: libssh2-devel)
# - --enable-shine (MP3 encoding)
# - --enable-omxil
# - --enable-asademux (BR: pcre-devel >= 6.5)
# - GOOM (libgoom2.pc)
# - OSSO_SCREENSAVER (libosso.pc - Maemo platform)
#
# Conditional build:
%bcond_without	aalib		# build without aalib support
%bcond_without	alsa		# don't build alsa plugin
%bcond_without	bonjour		# bonjour plugin
%bcond_without	caca		# build without caca support
%bcond_without	daap		# DAAP plugin
%bcond_without	dirac		# dirac plugin
%bcond_without	directfb	# directfb plugin
%bcond_without	dv		# dv support
%bcond_without	ggi		# ggi plugin
%bcond_without	gnomevfs	# gnomevfs plugin
%bcond_without	gnutls		# gnutls plugin
%bcond_without	jack		# jack audio module
%bcond_without	kde		# KDE Solid actions
%bcond_without	lirc		# build without lirc support
%bcond_without	live		# build without live.com support
%bcond_without	mozilla		# build mozilla plugin
%bcond_without	notify		# libnotify notification plugin
%bcond_without	portaudio	# portaudio library support
%bcond_without	projectM	# don't build projectM plugin
%bcond_without	shout		# shout plugin
%bcond_without	smb		# SMB input module
%bcond_without	speex		# don't build speex plugin
%bcond_without	static_libs	# don't build static libraries
%bcond_without	svg		# svg plugin
%bcond_with	svga		# build with svgalib video_output
%bcond_without	twolame		# twolame plugin
%bcond_without	udev		# udev services discovery
%bcond_without	upnp		# upnp plugin
%bcond_without	x264		# build without x264 support
%bcond_with	noxmas		# build non-xmas version (icons)
%bcond_without	v4l1		# video4linux v1

%if "%(test -f %{_includedir}/linux/videodev.h && echo 0 || echo 1)" == "1"
%undefine	with_v4l1
%endif

%define		qtver	4.8.0

Summary:	VLC - a multimedia player and stream server
Summary(pl.UTF-8):	VLC - odtwarzacz multimedialny oraz serwer strumieni
Name:		vlc
Version:	1.1.13
Release:	11
License:	GPL v2+
Group:		X11/Applications/Multimedia
# use the bz2 src, its a 4mb difference
Source0:	http://download.videolan.org/pub/videolan/vlc/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	9678fb7a04808b6e0de63746d35e4bb1
Patch0:		%{name}-buildflags.patch
Patch1:		%{name}-defaultfont.patch
Patch2:		%{name}-osdmenu_path.patch
Patch3:		%{name}-system-minizip.patch
Patch4:		%{name}-upnp.patch
Patch5:		%{name}-osdmenu_build.patch
Patch6:		%{name}-firefox-npapi-mime.patch
Patch7:		xmas-sucks.patch
Patch8:		%{name}-zlib.patch
URL:		http://www.videolan.org/vlc/
%{?with_directfb:BuildRequires:	DirectFB-devel}
BuildRequires:	OpenGL-devel
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	SDL_image-devel >= 1.2.10
BuildRequires:	a52dec-libs-devel
%{?with_aalib:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0.0}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
%{?with_bonjour:BuildRequires:	avahi-devel >= 0.6}
BuildRequires:	dbus-devel >= 1.0.0
%{?with_dirac:BuildRequires:	dirac-devel >= 0.10.0}
BuildRequires:	faad2-devel >= 2.5
BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080131.1
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	fluidsynth-devel >= 1.1.1-3
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	fribidi-devel
BuildRequires:	game-music-emu-devel
BuildRequires:	gettext-devel >= 0.17
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel}
%{?with_gnutls:BuildRequires:	gnutls-devel >= 1.7.4}
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
%{?with_kde:BuildRequires:	kde4-kdelibs}
BuildRequires:	libass-devel >= 0.9.6
%{?with_dv:BuildRequires:	libavc1394-devel >= 0.5.3}
%{?with_caca:BuildRequires:	libcaca-devel >= 0.99-0.beta14}
BuildRequires:	libcddb-devel >= 0.9.5
BuildRequires:	libcdio-devel >= 0.78.2
BuildRequires:	libdc1394-devel >= 2.1.0
BuildRequires:	libdts-devel >= 0.0.5
BuildRequires:	libdvbpsi-devel >= 0.1.6
BuildRequires:	libdvdnav-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libebml-devel >= 0.7.7
BuildRequires:	libgcrypt-devel >= 1.1.94
%{?with_ggi:BuildRequires:	libggi-devel}
#BuildRequires:	libid3tag-devel
BuildRequires:	libkate-devel >= 0.1.5
BuildRequires:	libmad-devel
BuildRequires:	libmatroska-devel >= 0.8.0
BuildRequires:	libmodplug-devel >= 0.8.4
BuildRequires:	libmpcdec-devel >= 1.2.1
BuildRequires:	libmpeg2-devel >= 0.3.2
BuildRequires:	libmtp-devel >= 1.0.0
%{?with_notify:BuildRequires:	libnotify-devel}
BuildRequires:	libogg-devel >= 1:1.0
#%{?with_daap:BuildRequires:	libopendaap-devel}
BuildRequires:	libpng-devel
%{?with_projectM:BuildRequires:	libprojectM-devel >= 2.0.1-3}
BuildRequires:	libproxy-devel
%{?with_dv:BuildRequires:	libraw1394-devel >= 2.0.0}
%{?with_svg:BuildRequires:	librsvg-devel >= 2.9.0}
%{?with_shout:BuildRequires:	libshout-devel >= 2.1}
%{?with_smb:BuildRequires:	libsmbclient-devel}
BuildRequires:	libtar-devel
BuildRequires:	libtheora-devel >= 1.0
BuildRequires:	libtiger-devel >= 0.3.1
BuildRequires:	libtool
%{?with_upnp:BuildRequires:	libupnp-devel}
BuildRequires:	libv4l-devel
BuildRequires:	libva-devel
BuildRequires:	libvorbis-devel >= 1:1.1
%{?with_x264:BuildRequires:	libx264-devel}
BuildRequires:	libxcb-devel >= 1.3
BuildRequires:	libxml2-devel >= 2.5
%{?with_lirc:BuildRequires:	lirc-devel}
%{?with_live:BuildRequires:	live-devel > 2009.07.09-3}
BuildRequires:	lua51 >= 5.1
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	minizip-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig >= 1:0.9.0
%{?with_portaudio:BuildRequires:	portaudio-devel}
BuildRequires:	pulseaudio-devel >= 0.9.22
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	schroedinger-devel >= 1.0.10
%{?with_speex:BuildRequires:	speex-devel > 1:1.1.0}
BuildRequires:	sqlite3-devel >= 3.6.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	sysfsutils-devel
BuildRequires:	taglib-devel >= 1.5
%{?with_twolame:BuildRequires:	twolame-devel}
%{?with_udev:BuildRequires:	udev-devel >= 1:142}
BuildRequires:	vcdimager-devel >= 0.7.22
BuildRequires:	xcb-util-keysyms-devel >= 0.3.4
BuildRequires:	xorg-lib-libXpm-devel
%{?with_mozilla:BuildRequires:	xorg-lib-libXt-devel}
BuildRequires:	xosd-devel
%{?with_mozilla:BuildRequires:	xulrunner-devel >= 1.9.1}
#BuildRequires:	xvid-devel
BuildRequires:	zlib-devel
BuildRequires:	zvbi-devel >= 0.2.28
Requires:	xdg-utils
Suggests:	dirac-libs > 1.0.0-999
Suggests:	fluidsynth > 1.0.8-999
Suggests:	libprojectM > 1.1-999
Suggests:	pulseaudio-libs > 0.9.15-999
Suggests:	taglib > 1.5-999
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VLC (initially VideoLAN Client) is a multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, MP3, Ogg, ...)
as well as DVDs, VCDs, and various streaming protocols. It can also be
used as a server to stream in unicast or multicast in IPv4 or IPv6 on
a high-bandwidth network.

%description -l pl.UTF-8
VLC (wcześniej znany pod nazwą VideoLAN Client) jest odtwarzaczem
multimedialnym dla wielu formatów wideo i dźwięku (MPEG-1, MPEG-2,
MPEG-4, DivX, MP3, Ogg, ...), płyt DVD, VCD oraz różnych protokołów
strumieniowych. Może być wykorzystany jako serwer do wysyłania
strumieni unicast lub multicast w protokołach IPv4 lub IPv6 w
wysokoprzepustowych sieciach.

%package devel
Summary:	VLC header files
Summary(pl.UTF-8):	Pliki nagłówkowe VLC
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0.0

%description devel
VLC header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe VLC.

%package static
Summary:	VLC static libraries
Summary(pl.UTF-8):	Biblioteki statyczne VLC
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
VLC static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne VLC.

%package X11
Summary:	VLC - X11 output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia X11
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore >= %{qtver}
Requires:	QtGui >= %{qtver}
Requires:	desktop-file-utils
Suggests:	dbus-x11
Suggests:	libcaca > 0.99-0.beta12.1
Obsoletes:	vlc-gnome
Obsoletes:	vlc-gtk

%description X11
X11 output plugin for VLC. Contains GUI image/icon resources.

%description X11 -l pl.UTF-8
Wtyczka wyjścia X11 dla klienta VLC. Zawiera zasoby interfejsu GUI
(obrazy/ikony).

%package GGI
Summary:	VLC - GGI output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia GGI
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description GGI
GGI output plugin for VLC.

%description GGI -l pl.UTF-8
Wtyczka wyjścia GGI dla klienta VLC.

%package fb
Summary:	VLC - fb output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia fb
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description fb
fb output plugin for VLC.

%description fb -l pl.UTF-8
Wtyczka wyjścia fb dla klienta VLC.

%package SDL
Summary:	VLC - SDL output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia SDL
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description SDL
SDL output plugin for VLC.

%description SDL -l pl.UTF-8
Wtyczka wyjścia SDL dla klienta VLC.

%package alsa
Summary:	VLC - ALSA audio output plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka wyjścia dźwięku ALSA
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description alsa
ALSA audio output plugin for VLC.

%description alsa -l pl.UTF-8
Wtyczka wyjścia dźwięku ALSA dla klienta VLC.

%package lua
Summary:	VLC - Lua plugins
Summary(pl.UTF-8):	Klient VLC - wtyczki Lua
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description lua
Lua plugins for VLC.

%description lua -l pl.UTF-8
Wtyczki Lua dla klienta VLC.

%package solid
Summary:	VLC - actions for Solid
Summary(pl.UTF-8):	Klient VLC - akcje dla Solid
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description solid
VLC actions for Solid.

%description solid -l pl.UTF-8
Akcje klienta VLC dla Solid.

%package -n browser-plugin-%{name}
Summary:	VLC - Mozilla compatible browser plugin
Summary(pl.UTF-8):	Klient VLC - wtyczka do przeglądarki Mozilla
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})

%description -n browser-plugin-%{name}
Mozilla compatible browser plugin.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka do przeglądarki internetowej Mozilla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%if %{with noxmas}
%patch7 -p1
%endif
%patch8 -p1

%build
cp -f /usr/share/automake/config.* .
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses -I/usr/include/xulrunner/stable -I/usr/include/liveMedia" \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
%ifarch ppc
	--disable-altivec \
%endif
	--disable-hd1000v \
	--disable-macosx \
	--%{?with_aalib:en}%{!?with_aalib:dis}able-aa \
	%{?with_alsa:--enable-alsa} \
	%{!?with_bonjour:--disable-bonjour} \
	--%{?with_caca:en}%{!?with_caca:dis}able-caca \
	%{!?with_daap:--disable-daap} \
	--enable-dbus \
	%{?with_dirac:--enable-dirac} \
	%{?with_directfb:--enable-directfb} \
	--%{?with_dv:en}%{!?with_dv:dis}able-dv \
	--enable-dvb \
	--enable-dvbpsi \
	--enable-dvdnav \
	--enable-dvdread \
	--enable-faad \
	--enable-fb \
	--enable-freetype \
	--enable-fribidi \
	--enable-avcodec \
	--enable-flac \
	--%{?with_ggi:en}%{!?with_ggi:dis}able-ggi \
	%{!?with_gnomevfs:--disable-gnomevfs} \
	%{!?with_gnutls:--disable-gnutls} \
	%{?with_jack:--enable-jack} \
	--%{?with_lirc:en}%{!?with_lirc:dis}able-lirc \
	--enable-mad \
	%{?with_mozilla:--enable-mozilla} \
	--enable-libva \
	%{?with_live:--enable-live555 } \
	%{!?with_live:--disable-live555 } \
	--enable-ncurses \
	%{!?with_notify:--disable-notify} \
	--enable-oss \
	--%{?with_portaudio:en}%{!?with_portaudio:dis}able-portaudio \
	%{!?with_projectM:--disable-projectm} \
	--enable-pvr \
	--enable-real \
	--enable-realrtsp \
	--enable-sdl \
	--enable-shared \
	%{?with_shout:--enable-shout} \
	--enable-skins2 \
	%{!?with_smb:--disable-smb} \
	--enable-snapshot \
	--enable-sout \
	--enable-sqlite \
	--enable-switcher \
	%{!?with_speex:--disable-speex} \
	%{?with_svg:--enable-svg} \
	%{?with_svga:--enable-svgalib} \
	--enable-telepathy \
	--enable-theora \
	--enable-tremor \
	%{?with_twolame:--enable-twolame} \
	%{!?with_udev:--disable-udev} \
	%{?with_upnp:--enable-upnp} \
	--%{?with_v4l1:en}%{!?with_v4l1:dis}able-v4l \
	--enable-v4l2 \
	--enable-vcdx \
	%{!?with_x264:--disable-x264} \
	--enable-xosd \
	--disable-optimizations \
	%{!?with_kde:--without-kde-solid}
# --disable-optimizations is to use own RPM_OPT_FLAGS optimalizations

%{__make} \
	npvlcdir=%{_browserpluginsdir}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	npvlcdir=%{_browserpluginsdir} \
	DESTDIR=$RPM_BUILD_ROOT

# dir for lua extensions
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/lua/extensions

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/vlc

%if "%{_lib}" != "lib"
install -d $RPM_BUILD_ROOT%{_prefix}/lib
ln -sf %{_libdir}/vlc $RPM_BUILD_ROOT%{_prefix}/lib
%endif

# rm -f *.{a,la}
find $RPM_BUILD_ROOT%{_libdir} -type f -regex '.*\.?a$' | xargs %{__rm}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT,pt}
# unsupported:
# ckb (Sorani Kurdish - maybe ku_IQ/ku_IR?)
# co (Corsican)
# tet (Tetum)
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{ach,cgg,ckb,co,ff,tet}

# .ico is win32 only
%{__rm} $RPM_BUILD_ROOT%{_datadir}/%{name}/vlc*.ico

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post   -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%post X11
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README THANKS
%doc doc/bugreport-howto.txt
%doc doc/intf-vcd.txt doc/translations.txt
%attr(755,root,root) %{_bindir}/cvlc
%attr(755,root,root) %{_bindir}/nvlc
%attr(755,root,root) %{_bindir}/rvlc
%attr(755,root,root) %{_bindir}/vlc
%attr(4754,root,video) %{_bindir}/vlc-wrapper
%attr(755,root,root) %{_libdir}/vlc/vlc-cache-gen
%attr(755,root,root) %{_libdir}/libvlc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvlc.so.5
%attr(755,root,root) %{_libdir}/libvlccore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvlccore.so.4

%if "%{_lib}" != "lib"
%{_prefix}/lib/vlc
%endif
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/plugins
%dir %{_libdir}/vlc/plugins/access
%{?with_alsa:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_attachment_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_avio_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_bd_plugin.so
%{?with_dv:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_dv_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_fake_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_ftp_plugin.so
%{?with_gnomevfs:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_http_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_imem_plugin.so
%{?with_jack:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_mmap_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_oss_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_realrtsp_plugin.so
%{?with_smb:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_smb_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_tcp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libaccess_udp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libcdda_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libdvb_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libpvr_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/librtp_plugin.so
%{?with_v4l1:%attr(755,root,root) %{_libdir}/vlc/plugins/access/libv4l_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libvcd_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libvcdx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access/libzip_plugin.so
%dir %{_libdir}/vlc/plugins/access_output
%attr(755,root,root) %{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so
%dir %{_libdir}/vlc/plugins/audio_filter
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/liba52tofloat32_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/liba52tospdif_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
#%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libbandlimited_resampler_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libconverter_fixed_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libdtstofloat32_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libdtstospdif_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libmpgatofixed32_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so
%dir %{_libdir}/vlc/plugins/audio_mixer
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_mixer/libfloat32_mixer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_mixer/libspdif_mixer_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_mixer/libtrivial_mixer_plugin.so
%dir %{_libdir}/vlc/plugins/audio_output
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libaout_file_plugin.so
%{?with_jack:%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libjack_plugin.so}
%{?with_portaudio:%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libportaudio_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/liboss_plugin.so
%dir %{_libdir}/vlc/plugins/codec
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/liba52_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libadpcm_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libaraw_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libcc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so
%{?with_dirac:%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libdirac_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libdts_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libfaad_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libfake_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libflac_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libinvmem_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libkate_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/liblpcm_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libmpeg_audio_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libpng_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/librealvideo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libsdl_image_plugin.so
%{?with_speex:%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libspeex_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libt140_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%{?with_twolame:%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libtwolame_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libvorbis_plugin.so
%{?with_x264:%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libx264_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%dir %{_libdir}/vlc/plugins/control
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libdbus_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libgestures_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libglobalhotkeys_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/liboldhttp_plugin.so
%{?with_lirc:%attr(755,root,root) %{_libdir}/vlc/plugins/control/liblirc_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libmotion_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/liboldrc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/libsignals_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/control/liboldtelnet_plugin.so
%dir %{_libdir}/vlc/plugins/demux
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libaiff_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libasf_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libau_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libavi_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libdirac_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libes_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libgme_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libh264_plugin.so
%{?with_live:%attr(755,root,root) %{_libdir}/vlc/plugins/demux/liblive555_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmod_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmp4_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmpc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libmpgv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libnsc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libnsv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libnuv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libogg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libplaylist_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libps_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libpva_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/librawdv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libreal_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libts_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libtta_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libty_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libvobsub_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libvoc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libwav_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/demux/libxa_plugin.so
%dir %{_libdir}/vlc/plugins/gui
%attr(755,root,root) %{_libdir}/vlc/plugins/gui/libncurses_plugin.so
%dir %{_libdir}/vlc/plugins/meta_engine
%attr(755,root,root) %{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%dir %{_libdir}/vlc/plugins/misc
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libdummy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libexport_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%{?with_gnutls:%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libgnutls_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/liblua_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libinhibit_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/liblogger_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libsqlite_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so

%ifarch %{ix86} %{x8664}
%dir %{_libdir}/vlc/plugins/3dnow
%attr(755,root,root) %{_libdir}/vlc/plugins/3dnow/libmemcpy3dn_plugin.so
%endif

%{?with_notify:%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libnotify_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libosd_parser_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{?with_svg:%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libsvg_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libtelepathy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libxml_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libxosd_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libxtag_plugin.so

%ifarch %{ix86} %{x8664}
%dir %{_libdir}/vlc/plugins/mmx
%attr(755,root,root) %{_libdir}/vlc/plugins/mmx/libi420_rgb_mmx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mmx/libi420_yuy2_mmx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mmx/libi422_yuy2_mmx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mmx/libmemcpymmx_plugin.so
%dir %{_libdir}/vlc/plugins/mmxext
%attr(755,root,root) %{_libdir}/vlc/plugins/mmxext/libmemcpymmxext_plugin.so
%ifnarch i486 i586
%dir %{_libdir}/vlc/plugins/sse2
%attr(755,root,root) %{_libdir}/vlc/plugins/sse2/libi420_rgb_sse2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/sse2/libi420_yuy2_sse2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/sse2/libi422_yuy2_sse2_plugin.so
%endif
%endif

%dir %{_libdir}/vlc/plugins/mux
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so
%dir %{_libdir}/vlc/plugins/packetizer
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%dir %{_libdir}/vlc/plugins/services_discovery
%{?with_bonjour:%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libbonjour_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so
%{?with_udev:%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so}
%{?with_upnp:%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libupnp_intel_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%dir %{_libdir}/vlc/plugins/stream_filter
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_filter/libstream_filter_rar_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_filter/libstream_filter_record_plugin.so
%dir %{_libdir}/vlc/plugins/stream_out
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_raop_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_switcher_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so
%dir %{_libdir}/vlc/plugins/video_chroma
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libi420_rgb_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%dir %{_libdir}/vlc/plugins/video_filter
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libaudiobargraph_v_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libatmo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libblend_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libchain_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libclone_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libcrop_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libdynamicoverlay_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/liblogo_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmarq_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmosaic_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libnoise_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libosdmenu_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libremoteosd_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/librss_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/librv32_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libscale_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libswscale_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libvideo_filter_wrapper_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libwall_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_filter/libyuvp_plugin.so
%dir %{_libdir}/vlc/plugins/video_output
%{?with_svga:%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libsvgalib_plugin.so}
%{?with_directfb:%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libdirectfb_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libsnapshot_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libvout_wrapper_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%dir %{_libdir}/vlc/plugins/visualization
%{?with_projectM:%attr(755,root,root) %{_libdir}/vlc/plugins/visualization/libprojectm_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/visualization/libvisual_plugin.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/http
%dir %{_datadir}/%{name}/lua
%dir %{_datadir}/%{name}/lua/extensions
%{_datadir}/%{name}/osdmenu
%dir %{_datadir}/%{name}/utils
%attr(755,root,root) %{_datadir}/%{name}/utils/*.sh

%{_mandir}/man1/vlc.1*
%{_mandir}/man1/vlc-wrapper.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvlc.so
%attr(755,root,root) %{_libdir}/libvlccore.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libvlc.pc
%{_pkgconfigdir}/vlc-plugin.pc
%{_mandir}/man1/vlc-config.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qvlc
%attr(755,root,root) %{_bindir}/svlc
%attr(755,root,root) %{_libdir}/vlc/plugins/gui/libqt4_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/misc/libxscreensaver_plugin.so
%{?with_aalib:%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libaa_plugin.so}
%{?with_caca:%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libcaca_plugin.so}
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so
%{_datadir}/%{name}/skins2
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.xpm
%{_desktopdir}/vlc.desktop

%if %{with ggi}
%files GGI
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libggi_plugin.so
%endif

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libaout_sdl_plugin.so
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libvout_sdl_plugin.so

%files fb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vlc/plugins/video_output/libfb_plugin.so

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%endif

%files lua
%defattr(644,root,root,755)
%{_libdir}/vlc/lua
%{_datadir}/vlc/lua

%if %{with kde}
%files solid
%defattr(644,root,root,755)
%{_datadir}/apps/solid/actions/vlc-*.desktop
%endif

%if %{with mozilla}
%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libvlcplugin.so
%{_datadir}/%{name}/mozilla
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vlc.spec,v $
Revision 1.299  2012/06/02 10:57:39  arekm
- release 11

Revision 1.298  2012/03/03 18:45:02  arekm
- release 10

Revision 1.297  2012/02/10 08:10:28  arekm
- release 9

Revision 1.296  2012/02/02 10:49:04  arekm
- rel 8; fix build with new zlib

Revision 1.295  2012/02/01 21:46:31  arekm
- release 7

Revision 1.294  2012/01/21 18:42:56  qboosh
- -devel R: dbus-devel

Revision 1.293  2012/01/21 18:42:03  qboosh
- package lua http files
- turned dv bcond on again (dv plugin has been updated for libraw1394 v2)
- added kde bcond (KDE Solid actions, i.e. -solid subpackage)
- added smb bcond
- killed dead rtmp bcond (RTMP code disabled upstream because of security problems)
- updated BR versions

Revision 1.292  2012/01/15 17:46:16  qboosh
- unified: renamed svgalib bcond to svga

Revision 1.291  2012/01/13 20:30:42  arekm
- release 6

Revision 1.290  2011/12/30 10:20:02  glen
- X11 package: QtCore is not optional anymore (plugins/gui/libqt4_plugin.so links with it)

Revision 1.289  2011/12/30 07:55:08  charles
- cleanup

Revision 1.288  2011/12/29 21:58:19  glen
- qt4 sucks, until we don't have better dep system, enforce qt 4.8.0

Revision 1.287  2011/12/24 03:44:42  gotar
- added some S against not working libraries (multiple symbols missing in
  plugins, no idea when introduced)

Revision 1.286  2011/12/23 14:34:05  lisu
- i like christmas
- rel 4

Revision 1.285  2011/12/23 12:22:06  glen
- Grinch was here

Revision 1.284  2011/12/23 11:52:35  glen
- it should be possible to turn off bcond via commandline
- package lua/extensions dir

Revision 1.283  2011/12/23 08:00:40  arekm
- rel 2; v4l1 as bcond, only on old llh

Revision 1.282  2011/12/22 10:08:11  lisu
- up to 1.1.13

Revision 1.281  2011/12/20 19:43:01  arekm
- release 3

Revision 1.280  2011/12/06 11:15:38  lisu
- libv4l_plugin.so is back

Revision 1.279  2011/12/06 11:03:22  lisu
- deal with whether NPP_/NP_ GetMIMEDescription function returns const or not; patch from upstream

Revision 1.278  2011/11/12 14:49:58  gotar
- rel. 2 - rebuild with new libdvbpsi.so.7

Revision 1.277  2011/11/11 14:54:08  gotar
- build OSD menu, enabled Kate streams rendering, updated R versions

Revision 1.276  2011/11/11 13:22:14  gotar
- HAL is obsoleted

Revision 1.275  2011/11/11 13:12:20  gotar
- upgraded to 1.1.12

Revision 1.274  2011/09/18 21:22:19  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.273  2011/08/31 18:28:10  arekm
- release 5

Revision 1.272  2011/08/31 06:59:31  arekm
- release 4

Revision 1.271  2011/07/24 15:54:46  arekm
- release 3

Revision 1.270  2011/07/18 11:25:29  lisu
- more unsupported locales
- rel 2

Revision 1.269  2011/07/18 08:54:59  lisu
- fixes for new ffmpeg in switcher.c file (upstream didn't fix that)

Revision 1.268  2011/07/18 08:30:03  lisu
- updated to 1.1.11
- verbose make

Revision 1.267  2011/07/04 18:43:29  lisu
- updated to 1.1.10

Revision 1.266  2011/06/29 18:19:20  charles
- BR: xcb-util-keysyms-devel

Revision 1.265  2011/06/28 17:54:30  arekm
- release 4

Revision 1.264  2011/06/27 19:22:33  arekm
- release 3

Revision 1.263  2011/05/08 18:45:46  arekm
- release 2

Revision 1.262  2011/04/12 20:40:13  cactus
- enable/disable portaudio

Revision 1.261  2011/04/12 18:47:54  cactus
- up to 1.1.9

Revision 1.260  2011/04/06 19:26:29  lisu
- rel 2

Revision 1.259  2011/03/31 21:09:19  charles
- BR: game-music-emu-devel, libdc1394-devel, libdts-devel, libkate-devel

Revision 1.258  2011/03/31 13:49:20  cactus
- up to 1.1.8; drop obsolete mkv.patch

Revision 1.257  2011/03/30 20:40:59  cactus
- rel 8

Revision 1.256  2011/03/30 20:33:19  cactus
- BR: kde4-kdelibs for kde4-config

Revision 1.255  2011/03/30 20:12:17  cactus
- rel 7

Revision 1.254  2011/03/30 20:11:29  cactus
- small fix

Revision 1.253  2011/03/30 20:09:32  cactus
- new subpackages: lua, solid
- new plugins

Revision 1.252  2011/03/30 19:49:17  cactus
- files (unavailable v4l plugin)

Revision 1.251  2011/03/29 07:10:34  arekm
- release 6

Revision 1.250  2011/02/28 12:40:10  baggins
- rel 5

Revision 1.249  2011/02/28 12:18:04  baggins
- upstream fix for libmatroska 1.1.0

Revision 1.248  2011/02/27 07:53:51  arekm
- release 4

Revision 1.247  2011/02/26 07:49:48  arekm
- release 3

Revision 1.246  2011/02/15 10:19:49  arekm
- release 2

Revision 1.245  2011/02/01 18:51:14  charles
- updated to 1.1.7

Revision 1.244  2011/01/25 07:31:00  charles
- updated to 1.1.6

Revision 1.243  2011/01/23 23:35:23  charles
- enable libva; BR: libva-devel

Revision 1.242  2011/01/19 18:20:42  glen
- libxdg_screensaver_plugin.so requires xdg-screensaver from xdg-utils

Revision 1.241  2010/11/14 22:29:28  arekm
- up to 1.1.5

Revision 1.240  2010/11/14 21:45:12  arekm
- release 3

Revision 1.239  2010/11/13 18:54:28  arekm
- rel 2; dropping svgalib from th

Revision 1.238  2010/11/12 23:23:35  sls
- bump BR: libmtp-devel >= 1.0.0

Revision 1.237  2010/08/28 20:07:28  charles
- up to 1.1.4

Revision 1.236  2010/08/26 07:59:03  glen
- ac >= 2.59c for silent rules

Revision 1.235  2010/08/24 21:32:36  hawk
- release 2

Revision 1.234  2010/08/20 08:09:11  lisu
- drop esound-devel BR and bcond (esound is dead and pulseaudio is default sound server now)

Revision 1.233  2010/08/19 22:54:11  charles
- updated to 1.1.3
- remove unused options for configure + bcond

Revision 1.232  2010/08/06 20:37:25  arekm
- release 2

Revision 1.231  2010/07/30 07:51:34  lisu
- up to 1.1.2

Revision 1.230  2010/07/22 22:21:52  charles
- BR: sqlite3-devel

Revision 1.229  2010/07/22 07:39:06  lisu
- updated to 1.1.1

Revision 1.228  2010/07/08 15:03:20  lisu
- add projectM bcond

Revision 1.227  2010/07/08 13:35:56  lisu
- files cleanups
- rel 1
- more TODO

Revision 1.226  2010/07/08 12:28:15  lisu
- really fix gnomevfs bcond

Revision 1.225  2010/07/08 12:00:36  lisu
- fix gnomevfs bcond

Revision 1.224  2010/07/08 11:37:28  lisu
- start update to 1.1.0
- patches cleanup:
	- -buildflags.patch updated
	- -real_codecs_path.patch removed (from NEWS: "realaudio codecs have been removed: use libavcodec")
	- -rtp_segv.patch, -libpng.patch, -xulrunner.patch applied upstream
- BR: lua51 (for luac51 binary)
- all plugins have been moved from %%{_libdir}/vlc to %%{_libdir}/vlc/plugins directory
- start files cleaning
- nfy

Revision 1.223  2010/06/18 06:59:37  arekm
- release 2

Revision 1.222  2010/05/23 20:33:23  glen
- disable rtmp, removed in 1.1.0-pre1: use: use avio module

Revision 1.221  2010/05/23 20:14:08  glen
- fix static libs, add bcond

Revision 1.220  2010/05/23 18:32:53  glen
- rtmp bcond

Revision 1.219  2010/05/23 18:13:08  glen
- up to 1.0.6, rtmp somewhy not built
- move mozilla files to browser plugin pkg, cleanup win32 ico

Revision 1.218  2010/04/25 20:48:52  arekm
- release 4

Revision 1.217  2010/03/04 14:23:46  baggins
- rel 3

Revision 1.216  2010/02/17 00:14:49  sparky
- commented-out unused BR: libdts-devel, libid3tag-devel, libopendaap-devel,
  libraw1394-devel, xvid-devel

Revision 1.215  2010/02/16 20:46:52  ankry
- restore supported locales, rel. 2

Revision 1.214  2010/02/11 13:25:58  charles
- BR xulrunner-devel up to >= 1.9.2

Revision 1.213  2010/02/07 10:02:37  adamg
- updated to 1.0.5

Revision 1.212  2010/01/29 22:25:45  arekm
- rel 4; fix for new xulrunner

Revision 1.211  2010/01/29 22:03:09  arekm
- rel 3; libpng fix

Revision 1.210  2010/01/29 20:49:51  arekm
- release 2

Revision 1.209  2010/01/17 23:39:26  glen
- vlc-config manual to -devel package
- use .desktop from sources (has MimeType key set for browser actions)
- cleanups
- rel 2

Revision 1.208  2010/01/16 10:48:10  charles
- updated to 1.0.4

Revision 1.207  2009/12/31 16:48:33  megabajt
- release 5

Revision 1.206  2009/11/30 12:34:06  glen
- aaaa

Revision 1.205  2009/11/30 11:42:37  glen
- release 3

Revision 1.204  2009/11/20 00:36:00  zbyniu
- BR: minizip-devel

Revision 1.203  2009/11/19 22:21:33  arekm
- release 2

Revision 1.202  2009/11/09 08:54:56  adamg
- release 1

Revision 1.201  2009/11/09 08:47:47  adamg
- fix bcond formatting

Revision 1.200  2009/11/09 08:46:54  adamg
- udev plugin

Revision 1.199  2009/11/09 08:28:09  adamg
- updated to 1.0.3

Revision 1.198  2009/07/30 14:20:40  blues
- 1.0.1

Revision 1.197  2009/07/21 07:58:15  blues
- rel.7 - official fix for #2981 (rtp_segv replaces quickfix patch)

Revision 1.196  2009/07/20 10:31:50  blues
- rel.5 - quickfix patch that fixes sig11 on sdp file creation. Fixed
  mozilla bcond.

Revision 1.195  2009/07/18 18:46:20  blues
- rel.5 - vlc is linked with shared live555 libraries. rtsp works now.

Revision 1.194  2009/07/18 11:25:42  arekm
- files fixed

Revision 1.193  2009/07/18 11:14:42  arekm
- include live headers

Revision 1.192  2009/07/18 11:01:17  arekm
- properly enable live555 plugin

Revision 1.191  2009/07/18 09:16:13  blues
- live patch obsolete, build live555 plugin manually but it still doesn't
  work (missing symbols)

Revision 1.190  2009/07/17 10:40:56  blues
- vlc-wrapper should be suid-root or removed. Is video group the best
  choice?

Revision 1.189  2009/07/11 11:17:57  charles
- BR: libmtp-devel

Revision 1.188  2009/07/09 09:54:10  arekm
- rel 4; fix ppc build

Revision 1.187  2009/07/09 08:58:16  arekm
- rel 3

Revision 1.186  2009/07/08 21:20:27  duddits
- rel. 2
- some plugins are not supported under i486 and i586 arch

Revision 1.185  2009/07/08 15:25:29  duddits
- proper browser-plugin-vlc (thanks blues)

Revision 1.184  2009/07/08 14:23:27  duddits
- more %files

Revision 1.183  2009/07/08 13:58:40  duddits
- iceweasel-plugin dropped; it should have been browser-plugin-vlc
- TODO once again updated
- BR: mpeg2dec is outdated, libmpeg2 takes its place

Revision 1.182  2009/07/08 10:56:23  duddits
- more cleanup in %files

Revision 1.181  2009/07/08 10:22:47  duddits
- Source0 updated

Revision 1.180  2009/07/08 10:12:57  duddits
- iceweasel.patch; iceweasel-plugin
- TODO updated
- CPPFLAGS updated
- more %files and cleanup

Revision 1.179  2009/07/07 21:23:54  arekm
- up to 1.0.0

Revision 1.178  2009/04/02 23:25:51  charles
- updated to 0.9.9

Revision 1.177  2009/02/18 20:53:19  arekm
- release 2

Revision 1.176  2008/12/06 15:03:53  paszczus
- removed mozilla plugin from %files

Revision 1.175  2008/12/06 14:59:54  paszczus
- updated to 0.9.8a
- fixed another security bug: CVE-2008-5276
- added plugin for mozilla

Revision 1.174  2008/12/02 14:11:37  arekm
- up to 0.9.7; security fixes for SA-0811, CVE-2008-5276

Revision 1.173  2008/11/09 23:42:16  charles
- updated to 0.9.6 (fixes VideoLAN-SA-0810)

Revision 1.172  2008/10/31 14:26:49  megabajt
- release 2

Revision 1.171  2008/10/26 17:55:49  arekm
- up to 0.9.5

Revision 1.170  2008/10/25 13:47:39  arekm
- rel 5

Revision 1.169  2008/10/25 11:26:57  arekm
- release 4

Revision 1.168  2008/10/19 09:43:40  arekm
- release 3

Revision 1.167  2008/10/12 21:34:21  charles
- -I/usr/include/ncurses passed via CFLAGS
- updated files (nvlc)
- rel. 2

Revision 1.166  2008/10/12 21:07:08  sls
- BR: live >= 2008.07.06

Revision 1.165  2008/10/08 13:35:21  charles
- updated to 0.9.4

Revision 1.164  2008/10/02 20:42:01  charles
- missing files (lua enabled)

Revision 1.163  2008/10/02 20:26:17  charles
- updated and enabled patch0
- --disable-{gme,hd1000v} in %configure (disabled warnings)

Revision 1.162  2008/10/01 09:13:48  arekm
- rel 2; ppc fix

Revision 1.161  2008/10/01 08:17:43  arekm
- up to 0.9.3

Revision 1.160  2008/09/15 01:14:53  charles
- updated to 0.9.2
- rm outdated -{build,dirac}.patch

Revision 1.159  2008/09/14 14:59:33  charles
- one more

Revision 1.158  2008/09/14 13:55:05  charles
- more, more files
- post, postun ldconfig
- sorted

Revision 1.157  2008/09/14 12:05:57  charles
- rm reduntant QtCore-devel and broken --with-live555-tree configure option
- updated %files (NFY)

Revision 1.156  2008/09/01 12:36:14  blues
- CVE note

Revision 1.155  2008/08/27 21:01:25  arekm
- initial 0.9.1; builds --without dv and live for now; tons of new plugins
  [fixes: CVE-2008-3794]

Revision 1.154  2008/08/23 18:51:10  qboosh
- missing update info

Revision 1.153  2008/08/23 11:54:46  arekm
[updated to 0.8.6i]
- libtool fixes needed

Revision 1.152  2008/08/22 21:50:43  arekm
- release 2

Revision 1.151  2008-05-16 16:29:31  megabajt
- added CVE references for rev. 1.124, 1.125 and 1.150

Revision 1.150  2008-05-15 12:16:12  patrys
- 0.8.6g
- security fix [CVE-2007-6683, CVE-2008-2147]

Revision 1.149  2008-04-07 13:45:48  sls
- add missing dir
- removed altivec.patch; patches renumerated
- removed obsolete TODO entries

Revision 1.148  2008-04-07 12:46:22  sls
- added upnp bcond
- BR fixes
- more TODO

Revision 1.147  2008-04-07 10:59:48  sls
- added twolame bcond
- BR fixes
- more TODO

Revision 1.146  2008-04-07 08:57:58  sls
- added svg bcond
- --enable-{snapshot,sout}

Revision 1.145  2008-04-07 08:21:30  sls
- added bcond shout

Revision 1.144  2008-04-07 07:51:52  sls
- added portaudio bcond

Revision 1.143  2008-04-07 07:07:51  sls
- added notify bcond

Revision 1.142  2008-04-07 06:46:28  sls
- added jack bcond

Revision 1.141  2008-04-07 06:24:05  sls
- added bcond gnutls

Revision 1.140  2008-04-07 05:45:10  sls
- added bconds galaktos and gnomevfs
- some cleanup in ./configure options

Revision 1.139  2008-04-07 04:21:12  sls
- added directfb bcond and patch

Revision 1.138  2008-04-07 03:57:02  sls
- added dirac bcond and patch

Revision 1.137  2008-04-07 03:26:11  sls
- added daap bcond

Revision 1.136  2008-04-07 03:10:40  sls
- added cdparanoia.patch
- build cddax and vcdx plugins

Revision 1.135  2008-04-07 02:04:57  sls
- added bonjour bcond

Revision 1.134  2008-04-07 01:53:25  sls
- sorted bconds
- switched on bconds: mozilla, svgalib, hal
- more TODO
- removed slp bcond (2004: Openslp is broken, temporarily removed)
- fixed BR for mozilla bcond

Revision 1.133  2008-04-07 00:20:14  sls
- bconded speex plugin

Revision 1.132  2008-04-06 23:53:53  sls
- added bcond esound
- bconded arts plugin

Revision 1.131  2008-04-06 23:31:53  sls
- bconded dv, lirc, x264 plugins
- remove fake libdv-devel BR

Revision 1.130  2008-04-06 22:49:25  sls
- bconded aa and caca plugins

Revision 1.129  2008-04-06 22:19:21  sls
- verbose files

Revision 1.128  2008-04-05 12:25:38  sls
- BR: freetype-devel

Revision 1.127  2008-04-03 22:41:17  sls
- wx.patch is useless

Revision 1.126  2008-04-03 02:58:32  sls
- rel. 1

Revision 1.125  2008-04-03 02:24:58  sls
- ver. 0.8.6f
- fixes [CVE-2008-1489, CVE-2008-1768, CVE-2008-1769, CVE-2008-1881]

Revision 1.124  2008-02-28 11:50:09  patrys
- 0.8.6e
- security fixes [CVE-2007-6681, CVE-2007-6682, CVE-2007-6684, CVE-2008-0295, CVE-2008-0296, CVE-2008-0984]
- patch8 not needed any more

Revision 1.123  2008-02-13 13:55:22  patrys
- build with new ffmpeg

Revision 1.122  2008-02-13 12:29:33  patrys
- 0.8.6d

Revision 1.121  2008-02-13 12:25:19  patrys
- rel 7
- rebuild with new ffmpeg

Revision 1.120  2008-02-06 20:04:53  qboosh
- unified bcond name: aa -> aalib

Revision 1.119  2008-01-16 07:19:25  arekm
- rel 6

Revision 1.118  2007-11-15 10:32:08  vip
- rel 5, rebuild with libx264

Revision 1.117  2007-11-11 17:35:30  wolvverine
- up rel.4

Revision 1.116  2007/09/07 00:49:16  baggins
- rel 3

Revision 1.115  2007/09/07 00:31:41  baggins
- disable macosx support (I've no idea why builders try to build it)

Revision 1.114  2007/09/06 15:53:04  baggins
- rel 2

Revision 1.113  2007/07/12 21:13:49  arekm
- up to 0.8.6c

Revision 1.112  2007/07/08 20:11:52  qboosh
- don't try rm -d

Revision 1.111  2007/07/05 09:03:40  blekot
- removed co locale
- rel 2

Revision 1.110  2007/04/19 09:57:31  rotom
- up to 0.8.6b

Revision 1.109  2007/02/24 12:34:38  arekm
- rel 1

Revision 1.108  2007/02/20 14:33:33  blues
- 0.8.6a - security update, not tested yet

Revision 1.107  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.106  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.105  2007/01/03 12:01:12  arekm
- rel 5

Revision 1.104  2007/01/03 09:48:27  sls
- added patch flac; BR: flac-devel >= 1.1.3

Revision 1.103  2007/01/01 11:50:35  arekm
- rel 4

Revision 1.102  2006/12/17 23:47:05  arekm
- rel 3; fix build with wxwidgets 2.8

Revision 1.101  2006/12/13 11:00:56  charles
- BR: libmpcdec-devel

Revision 1.100  2006/12/13 08:54:06  glen
- gcc-hack fixed properly

Revision 1.99  2006/12/13 08:19:13  glen
- up faad2 BR, rel 2

Revision 1.98  2006/12/13 00:06:35  charles
- s/-livedotcom/-live555/

Revision 1.97  2006/12/12 23:48:48  glen
- builds, -matroska-shared.patch dropped as links without it too; rel 1

Revision 1.96  2006/12/12 23:33:02  glen
- start 0.8.6; adapter

Revision 1.95  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.94  2006/09/08 06:28:56  arekm
- rel 2

Revision 1.93  2006/06/18 11:34:01  hawk
- one month with release 0.1, builds, seems to work, lets go with release 1

Revision 1.92  2006/06/18 08:43:04  hawk
- make it build

Revision 1.91  2006/05/19 09:30:11  qboosh
- some bcond descs

Revision 1.90  2006/05/09 02:17:48  charles
- added -osdmenu_path.patch

Revision 1.89  2006/05/08 16:42:55  charles
- BR: libx264-devel (with bcond)

Revision 1.88  2006/05/08 16:31:48  charles
- BR wxGTK2-unicode-devel proper version

Revision 1.87  2006/05/08 16:22:09  charles
- BR: libavc1394-devel and libraw1394-devel (if with dv)
- BR: libtool

Revision 1.86  2006/05/08 16:06:45  charles
- updated to 0.8.5 final - (partial) merged from DEVEL
- enabled real* codecs, added -real_codecs_path.patch
- updated BRs, updated %files

Revision 1.85  2006/01/22 06:33:47  charles
- updated to 0.8.4a (bugfix release)
- STBR

Revision 1.84  2005/12/02 08:43:15  charles
- speex-devel epoch

Revision 1.83  2005/11/30 11:33:19  charles
- BR s/wxGTK2-devel/wxGTK2-unicode-devel/

Revision 1.82  2005/11/28 01:42:40  aredridel
- builds

Revision 1.81  2005/11/27 23:17:47  aredridel
- up to 0.8.4

Revision 1.80  2005/10/31 11:06:32  arekm
- rel 4

Revision 1.79  2005/09/16 10:19:36  arekm
- rel 3; fixed build with newer samba; proper amd64 fix

Revision 1.78  2005/09/16 09:28:14  arekm
- rel 2

Revision 1.77  2005/09/04 17:59:43  arekm
- rel 1; alsa seems building fine

Revision 1.76  2005/07/22 09:56:32  djrzulf
- updated TODO

Revision 1.75  2005/07/19 19:08:26  glen
- fixed last commit

Revision 1.74  2005/07/19 18:43:49  glen
- missing dir

Revision 1.73  2005/06/30 12:10:38  speedy
- bcond speex (default build with speex)

Revision 1.72  2005/06/26 19:26:32  qboosh
- more portable lib64 condition

Revision 1.71  2005/06/26 18:43:17  speedy
- types patch is no more.
- x8664 patch: "it's gcc bug, upgrade your gcc"

Revision 1.70  2005/06/26 15:59:16  speedy
- fix %files

Revision 1.69  2005/06/26 15:32:24  speedy
- start update to 0.8.2

Revision 1.68  2005/05/04 20:11:37  speedy
- bcond: arts, svgalib, hal

Revision 1.67  2005/05/02 18:28:08  qboosh
- added types patch, release 3

Revision 1.66  2005/04/30 11:24:27  qboosh
- updated live bcond desc

Revision 1.65  2005/04/30 09:46:34  speedy
- release 2, STBR 8-]
- reverse live.com bcond.

Revision 1.64  2005/04/10 13:06:45  charles
- fixed %exclude in %files

Revision 1.63  2005/04/09 14:38:12  speedy
- bcond: slp (broken, not updated to new api)

Revision 1.62  2005/04/09 14:11:37  darekr
- simplified %files

Revision 1.61  2005/04/09 14:00:53  speedy
- shorten the files section

Revision 1.60  2005/04/09 12:02:59  speedy
- really fix live.com
- fix speex
- release 1.2

Revision 1.59  2005/04/09 10:57:01  speedy
- bcond "build with live.com"
- fix speex discovery

Revision 1.58  2005/04/09 09:22:27  speedy
- proper BR, wx >= 2.5.5 (wx-config script)

Revision 1.57  2005/04/09 09:02:43  speedy
- rollback, for snap, use DEVEL branch.

Revision 1.56  2005/04/07 21:50:51  tommat
- patch 3 comes back, NFY

Revision 1.55  2005/04/07 21:10:40  tommat
- updated BRs, NFY

Revision 1.54  2005/04/07 20:46:44  tommat
- version 0.8.1337 rel 0.1, NFY

Revision 1.53  2005/03/30 02:42:55  charles
- gettextize, typo

Revision 1.52  2005/03/29 18:40:58  charles
- BR: OpenGL-devel, libxml2-devel, libpng-devel, pkgconfig
- BR artsc-devel instead of arts-devel
- evident call --enable-skins2, cleanups

Revision 1.51  2005/03/28 21:38:40  qboosh
- sorted BRs, pl where missing

Revision 1.50  2005/03/28 19:01:58  speedy
- BR cleaning, STBR?

Revision 1.49  2005/03/28 18:03:48  speedy
- KDE/QT/GNOME plugins are broken - use wxWidgets

Revision 1.48  2005/03/28 12:39:23  speedy
- skin2/wxWigets interface moved to vlc-X11 package

Revision 1.47  2005/03/28 11:47:39  speedy
- more TODO
- cleanups
- make wxWidgets works

Revision 1.46  2005/03/28 10:36:38  speedy
- more BR, cleanups.

Revision 1.45  2005/03/28 08:58:44  aredridel
- complete package
- GTK subpackage
- bconds for kde and gtk

Revision 1.44  2005/03/05 16:31:26  qboosh
- updated Source URL

Revision 1.43  2005/02/06 15:46:05  aredridel
- up to 0.8.1
- nfy

Revision 1.42  2005/01/23 11:13:29  speedy
- s/x11/X11/g

Revision 1.41  2004/11/20 21:24:57  qboosh
- lang cleanup (find_lang is used)

Revision 1.40  2004/11/18 23:44:57  speedy
- double % in %changelog
- bcond --without ggi
- more and more BRs
- vlc-{gnome/gtk} requires vlc-x11 package
- removed double %lang - already in %find_lang (?)

Revision 1.39  2004/10/31 14:59:29  paladine
- spaces->tabs

Revision 1.38  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.37  2004/10/28 10:49:17  paladine
- "MP3" unification

Revision 1.36  2004/10/21 19:59:32  undefine
- more BR

Revision 1.35  2004/10/18 22:57:08  kolodko
- BR: mpeg2dec-devel, libpostproc-devel, libdvdread-devel, ffmpeg-devel

Revision 1.34  2004/10/14 20:09:31  mguevara
- upgrade to 0.7.2 - added TODO list
- works: mkv/avi/ogm/dvd playing, stream sending and receiving
- some issues with external softsubs (but dvd and mkv work)
- VideoLAN Client -> VLC name and description changes (I have
  also removed outdated pt_BR translations)
- added BuildRequires: {libcdio,libcddb,vcdimager}-devel
- added devel, static and fb (fraebuffer video out) packages
- commented out altivec and po patches - on TODO list
- added vlc-buildflags.patch
- commented out gettextize/aclocal/autoconf - on TODO list
- plenty of files section changes - btw all png/xpm/bmp/ico
  images moved to X11 package

Revision 1.33  2004/08/12 21:56:46  ankry
- s/gnome/GNOME/

Revision 1.32  2004/04/09 15:32:45  qboosh
- added po patch, fixed build on amd64
- enabled alsa plugin - it builds now
- rename locale no->nb, release 5 for Ac

Revision 1.31  2003/11/11 14:56:31  qboosh
- cleanups in descriptions

Revision 1.30  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.29  2003/08/27 00:16:35  gotar
- fixed changelog trailer

Revision 1.28  2003/05/28 13:02:35  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:27:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.25  2002/09/11 12:20:37  marcus
- rel.4.
- fixes for dvd and ppc

Revision 1.24  2002/09/11 08:49:44  qboosh
- removed ifarchs for mmx etc. - no such options in this version
  (compilation options detected by ./configure, code chosen in runtime)

Revision 1.23  2002/09/07 01:56:51  blues
- release 3: added flags for ncurses plugin, added all of the plugins to
  package, some cleanups in files - STBR

Revision 1.22  2002/09/07 01:02:36  blues
- removed redundant BR, disabled mmx for i586 - many of them aren't with
  MMX

Revision 1.21  2002/09/06 18:36:54  blues
- release 2 - gvlc icon moved to main package (removed conflict), new doc
  STBR

Revision 1.20  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/08 14:12:50  pioklo
- up to 0.3.0,STBR

Revision 1.18  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:56  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/26 13:14:54  filon
- updated for athlon
- release 2

Revision 1.15  2002/01/18 02:15:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/18 23:37:14  kloczek
- fis building on i386: added missing %endif in %build.

Revision 1.13  2001/12/18 15:52:45  kloczek
- commented BuildRequires for alsa-libs (in %build is --disable-alsa),
- fix %ifarch .. %else .. %endif in %build.

Revision 1.12  2001/12/18 15:48:31  kloczek
- merge translations from Conectiva.

Revision 1.11  2001/12/17 17:43:35  jajcus
- Version: 0.2.91
- autoconf 2.50 support

Revision 1.10  2001/07/06 11:25:42  jajcus
- Version: 0.2.80
- gtk subpackage added
- alsa (disabled as it doesn't seem to compile) subpackage added

Revision 1.9  2001/04/23 01:14:01  kloczek
- release 2: rebuild against SDL 1.2.

Revision 1.8  2001/02/21 16:35:55  jajcus
- missing modules added (including dvd). STBR

Revision 1.7  2001/02/21 10:17:47  misiek
- 0.2.62. GGI is back

Revision 1.6  2001/02/18 22:56:18  kloczek
- cosmetics.

Revision 1.5  2001/02/18 12:45:37  misiek
- 0.2.61. ggi disabled. mmx optimalizations. stb

Revision 1.4  2000/11/02 19:58:53  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.3  2000/09/06 08:55:02  kloczek
- added SDL-devel to BuildRequires.

Revision 1.2  2000/09/06 08:53:48  kloczek
- added DESTDIR patch and DESTDIR style %install,
- 755 on shared objects,
- added stripping shared objects.

Revision 1.1  2000/09/04 14:48:11  jajcus
- initial spec
